For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Repository API

Tworzy status sprawy

post
Authorizations
AuthorizationstringRequired
Body
caseTypestringRequired

typ sprawy

Example: LOAN
clientIdstringOptional

identyfikator klienta

Example: 12345678901
clientTypestringRequired

typ klienta

Example: PESEL
statusstringRequired

aktualny status sprawy

Example: OPEN
statusDescriptionstring · nullableOptional

opis statusu

Example: Wniosek o kredyt został złożony.
businessKeystring · nullableRequired

klucz biznesowy

Example: BK-2026-0001
sourcestring · nullableOptional

źródło sprawy

Example: PORTAL
Responses
200

Utworzony status sprawy.

application/json
caseIdstringOptional

unikalny identyfikator sprawy

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
creationDatestring · date-time · nullableOptional

data i czas utworzenia statusu sprawy

Example: 2025-01-10T14:00:00
updateDatestring · date-time · nullableOptional

data i czas ostatniej aktualizacji statusu sprawy

Example: 2025-01-15T10:30:00
caseTypestringOptional

typ sprawy

Example: LOAN
clientIdstringOptional

identyfikator klienta

Example: 12345678901
clientTypestringOptional

typ klienta

Example: PESEL
statusstringOptional

aktualny status sprawy

Example: OPEN
businessKeystring · nullableOptional

klucz biznesowy

Example: BK-2026-0001
sourcestring · nullableOptional

źródło sprawy

Example: PORTAL
statusDescriptionstring · nullableOptional

opis statusu

Example: Wniosek o kredyt został złożony.
post
/v1

Pobiera status sprawy po caseId

get
Authorizations
AuthorizationstringRequired
Query parameters
caseIdstringRequired

unikalny identyfikator sprawy.

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
Responses
200

Status sprawy.

application/json
caseIdstringOptional

unikalny identyfikator sprawy

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
creationDatestring · date-time · nullableOptional

data i czas utworzenia statusu sprawy

Example: 2025-01-10T14:00:00
updateDatestring · date-time · nullableOptional

data i czas ostatniej aktualizacji statusu sprawy

Example: 2025-01-15T10:30:00
caseTypestringOptional

typ sprawy

Example: LOAN
clientIdstringOptional

identyfikator klienta

Example: 12345678901
clientTypestringOptional

typ klienta

Example: PESEL
statusstringOptional

aktualny status sprawy

Example: OPEN
businessKeystring · nullableOptional

klucz biznesowy

Example: BK-2026-0001
sourcestring · nullableOptional

źródło sprawy

Example: PORTAL
statusDescriptionstring · nullableOptional

opis statusu

Example: Wniosek o kredyt został złożony.
get
/v1

Aktualizuje status sprawy po caseId

patch
Authorizations
AuthorizationstringRequired
Query parameters
caseIdstringRequired

unikalny identyfikator sprawy.

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
Body
caseIdstring · nullableRequired

unikalny identyfikator sprawy

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
caseTypestringOptional

typ sprawy

Example: LOAN
clientIdstringOptional

identyfikator klienta

Example: 12345678901
clientTypestringOptional

typ klienta

Example: PESEL
statusstringOptional

aktualny status sprawy

Example: IN_PROGRESS
statusDescriptionstring · nullableOptional

opis statusu

Example: Wniosek o kredyt jest w trakcie rozpatrywania.
businessKeystring · nullableOptional

klucz biznesowy

Example: BK-2026-0001
sourcestring · nullableOptional

źródło sprawy

Example: PORTAL
Responses
patch
/v1

No content

Usuwa status sprawy po caseId

delete
Authorizations
AuthorizationstringRequired
Query parameters
caseIdstringRequired

unikalny identyfikator sprawy.

Example: c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111
Responses
delete
/v1

No content

Wyszukuje statusy spraw

post
Authorizations
AuthorizationstringRequired
Body
caseTypesstring[]Optional

filtr po typie sprawy

Example: ["LOAN","CARD"]
statusesstring[]Optional

filtr po statusie sprawy

Example: ["OPEN","IN_PROGRESS"]
clientIdstring · nullableOptional

filtr po identyfikatorze klienta

Example: 12345678901
clientTypestring · nullableOptional

filtr po typie klienta

Example: PESEL
pageSizeinteger · int32Required

liczba wyników na stronę

Example: 20
pageinteger · int32Required

numer strony

Example: 0
sortBystring · nullableOptional

pole do sortowania (np. creationDate, updateDate)

Example: updateDate
sortDirectionstring · nullableOptional

kierunek sortowania (ASC lub DESC)

Example: DESC
Responses
200

Wynik wyszukiwania.

application/json
pageinteger · int32Optional

numer strony wyników

Example: 0
pageSizeinteger · int32Optional

liczba wyników na stronę

Example: 100
countinteger · int32Optional

łączna liczba znalezionych wyników

Example: 1
post
/v1/search

Tworzy statusy spraw w paczce

post
Authorizations
AuthorizationstringRequired
Body
Responses
200

Wynik operacji paczkowej.

application/json
updatedinteger · int64Optional

liczba pomyślnie utworzonych/zmodyfikowanych/usuniętych statusów spraw

Example: 1
post
/v1/batch
200

Wynik operacji paczkowej.

Aktualizuje statusy spraw w paczce

patch
Authorizations
AuthorizationstringRequired
Body
Responses
200

Wynik operacji paczkowej.

application/json
updatedinteger · int64Optional

liczba pomyślnie utworzonych/zmodyfikowanych/usuniętych statusów spraw

Example: 1
patch
/v1/batch
200

Wynik operacji paczkowej.

Usuwa statusy spraw w paczce

delete
Authorizations
AuthorizationstringRequired
Body
caseIdsstring[]Optional

lista identyfikatorów spraw do usunięcia

Example: ["c3f9a7c2-6d61-4d35-9f8b-f3c9f1b8a111","d4e8b7c3-7e72-5e46-0f9c-g4d8h2i9j222"]
Responses
200

Wynik operacji paczkowej.

application/json
updatedinteger · int64Optional

liczba pomyślnie utworzonych/zmodyfikowanych/usuniętych statusów spraw

Example: 1
delete
/v1/batch
200

Wynik operacji paczkowej.

Last updated

Was this helpful?